/* Overall colour scheme section. To switch between schemes, comment out as desired */

/* ASTech Generic colours 

#hd_bar,#ft {background-color:#ccccff;padding:4px 6px;background: url('navbar_bg.png') repeat-x;
margin:4px 0 0 0; }

#hd_bar {height:64px; position:relative; border-radius:5px 5px 0 0; -moz-border-radius:5px 5px 0 0; -webkit-border-radius: 5px 5px 0 0;}
#hd h1 {font-size:18pt;font-weight:bold;color:white;text-align:center;}
#x_hd a {color:white;}

#menubar, .menubar {background-color:#ccc; border-radius: 0px 0px 5px 5px;padding:4px;}

/* Emirates Specified colours. 

#hd_bar {background-color:#ccccff;padding:4px 6px;
background-color: #554433;
margin:4px 0 0 0; }

#ft {background-color:#ccccff;padding:4px 6px;
background-color: #554433;
margin:4px 0 0 0; }

#hd_bar {height:64px; position:relative; border-radius:5px 5px 0 0; 
-moz-border-radius:5px 5px 0 0; -webkit-border-radius: 5px 5px 0 0;}
#hd h1 {font-size:18pt;font-weight:bold;
color:#fff;}

#menubar, .menubar {background-color:#cdc5b3; border-radius: 0px 0px 5px 5px;padding:4px;}
*/


/* End Colour Scheme Section */


/* Client Logo Section 
#hd #vendor_logo {width:123px; height:50px; background: url('astechLogoWhite.png') no-repeat 0px 0px; float:left;}
#hd #no_vendor_logo { width:123px; height:50px; no-repeat 0px 0px; float:left; }

#hd #client_logo {width:90px; height:60px; background: url('client_logo.png') no-repeat 0px 0px; float:right;}

/*
#hd #client_logo {width:91px; height:54px; background: url('iaaLogo.png') no-repeat 0px 0px; float:right;}
*/

/*#hd #client_logo {width:65px; height:60px; background: url('Emirates_Engineering_Logo_60px.jpg') no-repeat 0px 0px; float:right;}*/

/*
#hd #client_logo {width:170px; height:56px; background: url('BoeingLogo.png') no-repeat 0px 0px; float:right;}
*/

/* End Client Logo Section */

#loggedInUser {color: white;margin-right:20px;}
#clockDiv {position:absolute;top:6px;right:6px;background-color:white;padding:4px;
border-radius:5px;-moz-border-radius:5px; -webkit-border-radius: 5px;}
#clock {font-size:22pt;}
#oleClock.ckPause {color:#a00;}
/* #oleClock.ckPause:before {content: "âŒ›";} */
#bd {margin: 20px 0px;xheight:400px;}
#ft {clear:both;color:white;  border-radius:5px; -moz-border-radius:5px; -webkit-border-radius: 5px;}
/*
#menubar, .menubar {background-color:#ccc; border-radius: 0px 0px 5px 5px;padding:4px;}
*/

#menubar a:link { color: blue; text-decoration: none; }
#menubar a:active { color: blue; text-decoration: none; }
#menubar a:visited { color: blue; text-decoration: none; }
#menubar a:hover { color: blue; text-decoration: underline; }



div.qbox {border-bottom: 1px solid #eee; padding-left:32px;font-size:12pt; margin-top:10px;}

ul.answers li {list-style-type: lower-alpha;}
ul.answers, ul.pages {list-style-type:none;margin:20px;}
ul.answers li, ul.pages li {margin:5px;}
.saving {background: url('ajax-loader.gif') no-repeat 0px 20px;}

h2 {font-size:16pt;margin:10px 0px;}
table.examStatus {border-collapse:collapse;width:100%}
table.examStatus td {border:1px solid transparent; min-width:10px;}
/** Mantis 0001855 Set a fixed width to table cell to prevent "jumping" as time changes */
table.examStatus td.examTime {border:1px solid transparent;padding:2px; min-width:98px;}
table.examStatus thead {font-weight:bold;}
table.examStatus th {font-weight:bold;}
table.examStatus tr.h td {border:none;padding-right:20px;}
/* Mantis 0001854 Pad buttons to stop them seeming cramped */
table.examStatus input {padding:2px;}
table.examStatus td.pad10 {padding:10px;}

.examStatus td.pad10:nth-child(2) {
     max-width: 300px !important; 
}
.examStatus td.pad10:nth-child(5) {
     max-width: 50px !important; 
}
.examStatus td.pad10:nth-child(6) {
     max-width: 60px !important; 
}

/* Mantis #1850: remove response to server bg activity indicator */
/* td.w {color:red;}*/


.hbWarn {background-color:orange;}
.hbError {background-color:red;}
.submitted {background-color:green;}

.monitorButtons FORM {display:inline;}
.monitorButtons INPUT[type='submit'] {padding:2px;}
ul.warn li {color:orange;}
ul.error li {color:red;}


/* 
	For form formatting see http://www.sitepoint.com/article/fancy-form-design-css/
	also http://www.quirksmode.org/css/forms.html 
*/
fieldset {border: 1px solid #808080; border-radius:5px; -moz-border-radius:5px; -webkit-border-radius: 5px;}
fieldset {margin: 1.5em 0 0 0;  padding: 0; background: #eee url('fieldset-gradient.jpg') repeat-x top; }
legend {  margin-left: 1em;  color: #000000;  font-weight: bold;}
fieldset ol {  padding: 1em 1em 0 1em;  list-style: none;}
fieldset li {  padding-bottom: 1em;}
fieldset.submit {  border-style: none;}

/* Right aligned label */
fieldset li label {float: left;  width: 10em;  margin-right: 1em;  text-align: right;}

/* Floating needed for proper formatting. See article link above for details. */
fieldset li {  float: left;  clear: left;  width: 100%;  padding-bottom: 1em;}
fieldset {  float: left;  clear: left;  width: 98%;  margin: 0 0 1.5em 0;  padding: 0;}
fieldset.submit {  float: none;  width: auto;  border: 0 none #FFF;  padding-left: 12em;}



/*
 * Message boxes
 */
 
div.warning, div.message {
	padding: 10px 10px 10px 25px;
	margin: 25px 50px;
	border-radius: 5px;  -moz-border-radius:5px; -webkit-border-radius: 5px;
}
/* Warning message */
div.warning {
	background: url('./warn.gif') #ffdddd no-repeat 4px 8px;
	border: 1px solid #af1537; 
}
/* Info message */
div.message {
	background: url('./info.gif') #ddddff no-repeat 4px 8px;
	border: 1px solid #1537af; 
}


h1 {font-weight:bold; margin:10px 0;}




/* OLE Specific */
#oleItem {font-size:14pt; font-weight: bold;}
#oleItem b {
	font-weight: bolder;
}
#oleAnswersList li {
margin:1em;  
width:580px;
height:auto;
clear:both;
}

#oleAnswersList li > span, #oleAnswersList li > span > span {
display:block; 
width:480px;
float:right;
padding-bottom:10px;
}


input.oleRb {border:1px solid red; background:blue; padding:30px;}
/** Mantis 0002073 Add a button for submitting an individual question. Necessary for questions including feedback */
#olePrevItemBtn, #oleNextItemBtn, #oleFlagItemBtn, #oleSubmitBtn, #olesubmitItemBtn, .ole-nav-btn {padding:5px;margin:10px;}
#oleFlagItemDiv {padding:5px;margin:1em 0;background-color:#ff8;border:1px solid #a84;border-radius:5px;}
/** Mantis 0002073 Styling for disabled questions (i.e. questions that have been submitted when in feedback mode */
.disabledAnswers{ color: #808080; }
#oleAnswersList {}
#oleFeedbackTextarea {display:block;}
#oleAlert {margin-bottom:20px; height:20px;padding:5px;box-sizing: initial;}
#oleAlert b {background-color:red;color:white;padding:2px 6px;text-decoration:blink;margin:0 6px;}
/** Mantis 0002296 Increased size of item table cells to improve touchscreen usability. */
#oleItemStatusTable td {
	padding:14px 0px 14px 0px;
	width: 48px;
	font-size: 16pt;
	cursor:pointer;
}
#oleProgressBar {
	/* background: linear-gradient(90deg, #88f 0%, transparent 0%); */
	box-sizing: initial;
	position:relative;
	width:233px;
	height:32px;
	border:4px solid gray;
	margin:4px 0 8px 0;
}
#oleProgressBar .slider { display:none;background-color:#88f;height:100%;position absolute; top:0; left:0}
#oleProgressBar .msg {width:100%;text-align:center;position: absolute; top:0; left:0;font-size:18pt;font-weight:bold;}


.itemImage {float:right;}
.itemNumber {font-weight:bold; font-size:48px;}
/** Mantis 0002285: Rebalanced the relative weights of the item text and item header to 
    improve legibility. In response to request from LTT */
.itemHeading {font-style: italic; font-weight: normal;}

/* Non-native radio buttons */
.oleRadioBtn, .oleRadioBtnGray {
	font-size:28pt;
	width:1.5em; height:1.5em;
	display:inline;
	cursor:pointer;
	/* Michael.Cullen@ASTech.ie - reverting to solution in version 0.9.5 (see v 1.65 of this file) for
	now - this solution for non-native radio buttons doesn't work on ASTech VM ?!?
	*/
	left:-20px;top:30px;
	color:white;
	display:inline-block;


	/* tick mark fix NEW */
	width:68px; height:68px;
	border:6px solid black;

	/* tick mark fix OLD */
	/* width:64px; height:64px; */
	/* border:2px solid black; */
	/* background:url('notick.png') no-repeat; */
}

/*
.oleRadioBtn:before {content:'â˜�'} 
.checked:before {content:'â˜‘'}
*/

.xx_oleRadioBtn:before {content:'âœ“'}
.xx_oleRadioBtn.checked {color:black;}

.oleRadioBtn.checked {
	/* color:black; */
	/* tick mark fix NEW */
	/* background:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' height='64px' width='64px'><text x='2' y='58' fill='black' font-size='68' font-weight='bold'>🗸</text></svg>") no-repeat; */
	/* background:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' height='64px' width='64px'><text x='5' y='52' fill='black' font-size='64' font-weight='bold'>✓</text></svg>") no-repeat; */
	background:url('check-mark-black.svg') no-repeat;
	background-size: 58px 58px;

	/* tick mark fix OLD */
	/* background:url('tick.png') no-repeat; */
}
/** Mantis 0002073 Styling for disabled questions (i.e. questions that have been submitted when in feedback mode */
.oleRadioBtnGray {
	/* background:url('notickGray.png') no-repeat; */
	border-color:grey;
}
.oleRadioBtnGray.checked {
	/* tick mark fix NEW */
	/* background:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' height='64px' width='64px'><text x='2' y='58' fill='grey' font-size='68' font-weight='bold'>🗸</text></svg>") no-repeat; */
	/* background:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' height='64px' width='64px'><text x='5' y='52' fill='grey' font-size='64' font-weight='bold'>✓</text></svg>") no-repeat; */
	background:url('check-mark-grey.svg') no-repeat;
	/* background:url('check-mark-black.svg') no-repeat; */
	background-size: 58px 58px;

	/* tick mark fix OLD */
	/* background:url('tickGray.png') no-repeat; */
}

#oleSubmitBtn, #olesubmitItemBtn {width:96px;}
#itemStatusPane table tr td {border-collapse: collapse; text-align:center; padding:5px; width:20px; height:20px;
 border: 2px solid #eee; cursor:pointer;}
td.answered {text-align: center; background-color:#aaa; font-weight:normal;}
td.unanswered {text-align: center; background-color: #fff; font-weight:bold;}
/*td.unsure {background-color:#FFCC33; font-weight:bold;}*/
td.unsure {text-align: center; background-image: url('star.png'); background-repeat:no-repeat; background-position: center;}
.unsure-flag-image{background-size: contain;  display:inline-block; height: 20px; width:20px; text-align: center; background-image: url('star.png'); background-repeat:no-repeat; background-position: center;}
td.matrix-item-commented::after {
	color:black;
	position:absolute;
	content: "\f249";
	font-family: 'Font Awesome 6 Free';
	-webkit-font-smoothing: antialiased;
    /* display: inline; */
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
	font-weight:normal;
	font-size:75%;
    line-height: 1;
	/* padding-right:-20px; */
	margin-top:22px;
	margin-left:0px;
	/* bottom:10px; */
	/* background-color:white; */
}

/* td.unsure:after {content:"â˜…"; color:#FFCC33;} */
/*td.currentItem {font-weight:bold;text-decoration:underline;}*/
#oleItemStatusTable tr {
	background-color: black;
}
td.currentItem {

	/* border:2px solid black; */
	/* width: 42px !important; */
	background-clip:content-box;
	padding:2.5px !important;
	/* max-width: 42px !important; */
	/* min-width: 42px !important; */
	/* max-height: 46px !important; */
	/* min-height: 46px !important; */
	/* border-color: black; */
	/* z-index: 100000!important; */
}

/* Mantis #1850 */
/* td.sending {background-color:red;} */
td.sending {
	text-align: center;
	/* display:flex; */
	align-items: center;
	justify-content: center;
	/* background: url(ajax-loader.gif) no-repeat */
}


.sending::before {
	box-sizing: border-box;
	color:black;
	position:absolute;


	-webkit-transform-origin: 50% 50% !important;
	-ms-transform-origin: 50% 50% !important;
	transform-origin: 50% 50% !important;


	/* fa-circle-notch fa-spin */
	/* content: "\f1ce";
	-webkit-animation: fa-spin 2s linear infinite;
	animation: fa-spin 2s linear infinite; */

	/* fa-spinner fa-pulse */
	content: "\f110"; 
	-webkit-animation: fa-spin 1s steps(8) infinite;
	animation: fa-spin 1s steps(8) infinite;

	font-family: 'Font Awesome 6 Free';
	-webkit-font-smoothing: antialiased;
	/* display: inline; */
	font-style: normal;
	font-variant: normal;
	text-rendering: auto;
	font-weight: 900;
	font-size:36px;
	line-height: 1;

	/* height:42px; */
	/* width:42px; */
	text-align: center;

	/* padding-right:-20px; */
	margin-top:-6px;
	margin-left:-12px;
	/* bottom:10px; */
	/* background-color:white; */

}

.oleAlertActive {border:2px solid red;}

/** Adjusted size to match changes from Mantis 0002296 */
#myNewClock {box-sizing: initial;xfont-size: 22pt; padding: 10px; margin: 10px 0px; font-weight:bold; text-align:center; width:213px; height:40px; border: 4px solid grey;}
#myNewClock span {font-size:22pt;clear:both;display:block;}
div.unsure {margin: 20px 100px; padding: 10px; background-color: #fff4c2; border:1px solid #ffcc33;}
div.feedback {margin: 20px 100px; padding: 10px; background-color: #ddf8cc; border:1px solid #80c65a}


.showLoaderAnimation {color:#bbb;backgroundDetails</button>: url(ajax-loader.gif) 50% 120px no-repeat};

/* OLE experimental customizations */
#myButtonBar {padding: 0px 24px; height:56px; background-color:#aaa;border-radius:0 0 5px 5px;}

#olePrevItemBtn,#oleNextItemBtn,#oleFlagItemBtn,#oleSubmitBtn,.ole-nav-btn {width:96px; height:50px}
/** Mantis 0002059 Right-align the submit button...*/
#oleSubmitBtn{ float:right; }

#oleFlagItemBtn,.ole-nav-btn{color:#888;}
.ole-nav-btn { background-color:#ccc;
    background-repeat: no-repeat;
    background-position: center;
}
#oleCommentItemModal {
	font-size: 175%;
}
#oleCommentItemModal textarea{
	font-size: 100%;
}
#oleCommentItemModal * {

	border-width: 3px;
}
/*
#oleFlagItemBtn:before{padding:0;margin:0; content:"â˜…"};
#oleFlagItemBtn.flagged:before {content:"â˜…"}
#oleFlagItemBtn.flagged {color:#d80;}
*/
/* Mantis #1844: do not gray flag button. Change star_grey -> star */
#oleFlagItemBtn {height: 50px; background: url('star.png') no-repeat center;}
#oleFlagItemBtn.flagged {height: 50px; background: url('star.png') no-repeat center;}
#oleFlagItemDiv {border:none;background-color:white;}


#olePrevItemBtn {height: 50px; background: url('prev.png') no-repeat center;}
#oleNextItemBtn {height: 50px; background: url('next.png') no-repeat center;}
#olesubmitItemBtn {height: 50px; background: url('up-icon.png') no-repeat center;}
#olesubmitItemBtn[disabled] {background: url('up-icon_gray.png') no-repeat center;}
#oleSubmitBtn {height: 50px; background: url('submit.png') no-repeat center;}
#olePrevItemBtn[disabled] {background: url('prev_gray.png') no-repeat center;}
#oleNextItemBtn[disabled] {background: url('next_gray.png') no-repeat center;}
#oleFlagItemBtn[disabled] {height: 50px; background: url('star_gray.png') no-repeat center;}
#oleSubmitBtn[disabled] {height: 50px; background: url('submit_gray.png') no-repeat center;}
#oleCommentItemBtn { 
	color:darkslategray;
	vertical-align: top;
	/* background-image:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' height='32px' width='32px'><text x='0' y='24' fill='black' fill-opacity='50%' font-size='24'>📄</text></svg>"); */

}
#oleCommentItemBtn[disabled] {color:grey}

div.non-warning {
	padding: 10px 10px 10px 0px;
	margin: 25px 50px;
	min-height: 16px;
}

div.mailTo { margin: 15px 0px 15px 0px; }
div.mailTo a:link { color: black; text-decoration: none; }
div.mailTo a:active { color: black; text-decoration: none; }
div.mailTo a:visited { color: black; text-decoration: none; }
div.mailTo a:hover { color: black; text-decoration: underline;  text-shadow: 1px 0px 20px black; }


#backDiv { float: right; }
#backDiv input { margin: 1px 5px 3px 5px; padding: 2px 2px 2px 2px; }

/** Results/Analysis elements */

.questionDetails { min-width:30px; display:none; }
.questionDetails fieldset { padding:5px; margin-top:10px; }
.questionDetails td { min-width:20px; float:left; }

.detailedResultsBtn { margin: 1px 5px 1px 5px; padding: 2px 2px 2px 2px; }

/** Login Screen elements */
.userLoginField {height: 30px; width: 200px;font-size:22px; border: #808080 solid 1px; border-radius: 5px 5px 5px 5px;}
.userLoginField:focus {background: #d8d8da;}
.adminTextField {height: 17px; border: #808080 solid 1px; border-radius: 3px 3px 3px 3px;}
.adminTextField:focus {background: #d8d8da;}

.adminTextAreaField {height: 40px; width:350px; border: #808080 solid 1px; border-radius: 3px 3px 3px 3px;}
.adminTextAreaField:focus {background: #d8d8da;}

/** Preliminary screen elements */
button#Proceed {padding:5px;margin:10px;height:50px; width:96px;}
input#submitLogin { height:50px; width:96px; }

.prelimContentArea { height:390px; overflow:auto; padding:5px; }
#prelimAgreement { float:left; }
#pCheckbox { float:left; height: 80px; margin-left:5px; }
#pAgreementText { font-size:18px; font-weight: bold; }
.pContinue { font-size:18px; }
.pAgreeContinue { font-size:18px; float:left; min-width:800px; width:100%; max-width:1200px; }
#pAgreeCb { margin-right:7px; }




#doc2 #hd {margin-top:10px}

.oleIndexCell { font-size: 14px; min-width:15px; }
.oleLegendCell{ font-size: 14px;min-width:150px; }
.oleResultCell { font-size: 14px; font-weight: bold;}

sup{vertical-align:super;font-size:smaller;}
sub{vertical-align:sub;font-size:smaller;}

table.questions {border-collapse: separate;  border-spacing: 5px 5px;}

table.activityLog {border-collapse:collapse;}
table.activityLog thead {background-color:#ccc;font-weight:bold;}
table.activityLog td {padding:2px;border:1px solid #ccc;}

/* experimental */
/* Mantis 0002285: Rebalanced the relative weights of the item text and item header to 
    improve legibility. In response to request from LTT */
#oleItem {visibility:hidden; font-weight: bold;}
img.thumbnail {width:80px; border: 3px solid blue; cursor:pointer;}
img.medium {width:400px; border: 3px solid blue;cursor:pointer;}
img.expanded {border:3px solid blue;cursor:pointer;}

.kpBtn {width:64px;height:64px;padding:8px;margin:8px;font-size:32px;}
.kpBtnWide {width:142px;}


#mainPane {position:relative;}
#oleWaitMessage {position:absolute;top:0;left:0;visibility:hidden;}
#oleWaitMessage {font-size:96px; padding:80px 20px; text-align:center;}

/* Mantis 0001607. Colours as specified by LTT */
.timeNormal{background-color:#ccffcc;}
.timeLow {background-color:#ffff99;}
.timeVLow {background-color:#ff5050;}

/* Mantis 0002328. Clock can now count up as well as down...*/
.timeRemaining:before{content:"Time Remaining:";}
.elapsedTime:before{content:"Elapsed Time:";}

/* Mantis 0002252. Colours for preview exam mode... */
.timePreview {
	background-color: white;
	color: grey;
}

/** Mantis 1902. Use custom checkbox for preliminary forms */
.checkbox {
	width: 72px;
	height: 72px;
	padding: 0 5px 0 0;
	background: url(prelimTicks.png) no-repeat;
	display: block;
	clear: left;
	float: left;
}
/** Mantis 0001885. Explicitly style bullet points in preliminary forms */
.prelimBullet {
	list-style:square; 
	margin-left: 15px;
	max-width:97%;
}

/** Mantis 0002295. Override the usual list padding so that we can group 
	bullet points in pairs (Primary and Secondary language versions of the same thing */
.langPrimary {
	padding-bottom: 0.3em;
}

/* Used to popup images */
#imageOverlay {
visibility:hidden;
text-align:center;

position:absolute;
top:20%;
left:50%;
}

#imageOverlay > .bd {
	background-color:black;
	border:2px solid black;
	padding:8px;
	position:relative;
	-moz-box-shadow: 10px 10px 5px #222222A0;
	-webkit-box-shadow: 10px 10px 5px #222222A0;
	box-shadow: 10px 10px 5px #222222A0;
	top:-20%;
	left:-50%;
}
#imageOverlay > .bd > img {
cursor:pointer;
}

#doc2 {
	width:100%;
	width:calc(100% - 20px);
	/* padding-left: 10px; */
	/* padding-right: 10px; */
	max-width: 1200px;
}


.yui-panel .bd {
padding:20px;
margin:20px;
font-size:16pt;
}
.button-group button {
width:120px; height:64px;
font-size:20pt;
}

.lineThroughText {text-decoration: line-through}

.tickButton{
      background: white url(../assets/indicator_green.png) no-repeat center;
      width: 40px;
      height: 25px;
      color:white;
}

.notickButton{
      background: white url(../assets/indicator_red.png) no-repeat center;
      width: 40px;
      height: 25px;
      color:white;
}

.editButton{
      background: white url(../assets/pencil.png) no-repeat center;
      width: 40px;
      height: 25px;
      color:white;
}

/** Feedback to participants at Exam End */

#incorrectQsFieldset {
	margin-left: 50px;
	max-width:1097px;
}

#incorrectQsDiv {
	height:220px;
	max-width: 1097px;
	overflow:auto;
	padding:5px;
	padding-left:12px;
	margin-bottom:5px;
	margin-top:5px;
}
.incorrectQuestionDisplay {
	font-size:18px;
}

.image_info {
    width: 14px;
    height: 14px;
}

.stripe:nth-child(even) {
  background-color:   #d5dcd6;
}

a.disabled {
  pointer-events: none;
  cursor: default;
}

input.amble_active {
  border: red  solid  2px;
  width: 14px;
  height: 14px;
}
